sbit LCD_RS at RB2_bit;
sbit LCD_EN at RB3_bit;
sbit LCD_D7 at RB7_bit;
sbit LCD_D6 at RB6_bit;
sbit LCD_D5 at RB5_bit;
sbit LCD_D4 at RB4_bit;

sbit LCD_RS_Direction at TRISB2_bit;
sbit LCD_EN_Direction at TRISB3_bit;
sbit LCD_D7_Direction at TRISB7_bit;
sbit LCD_D6_Direction at TRISB6_bit;
sbit LCD_D5_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB4_bit;


unsigned char Cmdstart = 0x01;
unsigned char Cmdstatus = 0x42;
unsigned char Joy_present, Joy_mode;
unsigned char Joy_byte1, Joy_byte2, Joy_kanan_x, Joy_kanan_y, Joy_kiri_x , Joy_kiri_y;

#define Key_select (Joy_byte1 && 0x01)
#define Key_joyr (Joy_byte1 && 0x02)
#define Key_joyl (Joy_byte1 && 0x04)
#define Key_start (Joy_byte1 && 0x08)
#define Key_up (Joy_byte1 && 0x10)
#define Key_right (Joy_byte1 && 0x20)
#define Key_down (Joy_byte1 && 0x40)
#define Key_left (Joy_byte1 && 0x80)

#define Key_l2 (Joy_byte2 && 0x01)
#define Key_r2 (Joy_byte2 && 0x02)
#define Key_l1 (Joy_byte2 && 0x04)
#define Key_r1 (Joy_byte2 && 0x08)
#define Key_triangle (Joy_byte2 && 0x10)
#define Key_circle (Joy_byte2 && 0x20)
#define Key_x (Joy_byte2 && 0x40)
#define Key_square (Joy_byte2 && 0x80)

//'/////////////////////////////////////
//'//        Program Start            //
//'/////////////////////////////////////

void main()
{

}
