
_psxTxRx:
;ps2.c,36 :: 		void psxTxRx(unsigned char byteOut, unsigned char byteIn)
;ps2.c,38 :: 		byteIn = 0;                        //Reset Receive byte
	CLRF        FARG_psxTxRx_byteIn+0 
;ps2.c,39 :: 		for(i = 0; i<7; i++)
	CLRF        _i+0 
L_psxTxRx0:
	MOVLW       7
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_psxTxRx1
;ps2.c,41 :: 		psxCMD = byteOut & 0x01;   //Prepare first bit to send
	MOVLW       1
	ANDWF       FARG_psxTxRx_byteOut+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__psxTxRx23
	BCF         RB2_bit+0, 2 
	GOTO        L__psxTxRx24
L__psxTxRx23:
	BSF         RB2_bit+0, 2 
L__psxTxRx24:
;ps2.c,42 :: 		byteOut >>=1;
	RRCF        FARG_psxTxRx_byteOut+0, 1 
	BCF         FARG_psxTxRx_byteOut+0, 7 
;ps2.c,43 :: 		psxCLK = 0;                    //Generate clock pulse
	BCF         RB3_bit+0, 3 
;ps2.c,44 :: 		delay_us(25);                //Used to regulate communication speed
	MOVLW       41
	MOVWF       R13, 0
L_psxTxRx3:
	DECFSZ      R13, 1, 0
	BRA         L_psxTxRx3
	NOP
;ps2.c,45 :: 		if(psxDAT == 0)
	BTFSC       RB1_bit+0, 1 
	GOTO        L_psxTxRx4
;ps2.c,47 :: 		byteIn = byteIn | (0x01<<i);
	MOVF        _i+0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R0 
	MOVF        R1, 0 
L__psxTxRx25:
	BZ          L__psxTxRx26
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__psxTxRx25
L__psxTxRx26:
	MOVF        R0, 0 
	IORWF       FARG_psxTxRx_byteIn+0, 1 
;ps2.c,49 :: 		}
L_psxTxRx4:
;ps2.c,50 :: 		psxCLK = 1;                    //End clock pulse
	BSF         RB3_bit+0, 3 
;ps2.c,51 :: 		Delay_us(25);                //Regulate speed
	MOVLW       41
	MOVWF       R13, 0
L_psxTxRx5:
	DECFSZ      R13, 1, 0
	BRA         L_psxTxRx5
	NOP
;ps2.c,39 :: 		for(i = 0; i<7; i++)
	INCF        _i+0, 1 
;ps2.c,52 :: 		}
	GOTO        L_psxTxRx0
L_psxTxRx1:
;ps2.c,53 :: 		}
	RETURN      0
; end of _psxTxRx

_main:
;ps2.c,59 :: 		void main()
;ps2.c,61 :: 		OSCCON = 0b01111110;               // 'Set INTRC to 8Mhz
	MOVLW       126
	MOVWF       OSCCON+0 
;ps2.c,64 :: 		TRISA = 0;                         //'PortA all outputs
	CLRF        TRISA+0 
;ps2.c,65 :: 		TRISD = 0;
	CLRF        TRISD+0 
;ps2.c,67 :: 		PORTA = 0;                         //'PortA all off
	CLRF        PORTA+0 
;ps2.c,68 :: 		PORTD = 0x00;
	CLRF        PORTD+0 
;ps2.c,69 :: 		TRISB = 0b00000010;                // 'PortB all output except psxDAT Pin (RB1)
	MOVLW       2
	MOVWF       TRISB+0 
;ps2.c,70 :: 		PORTB = 0b00001001;                // 'PortB psxCLK and psxAtt are high, all else low
	MOVLW       9
	MOVWF       PORTB+0 
;ps2.c,72 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;ps2.c,73 :: 		RA0_bit = 1;                       // 'Flashes LED on RA0 for debugging purposes
	BSF         RA0_bit+0, 0 
;ps2.c,74 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 0
	BRA         L_main6
	DECFSZ      R12, 1, 0
	BRA         L_main6
	DECFSZ      R11, 1, 0
	BRA         L_main6
	NOP
;ps2.c,75 :: 		RA0_bit = 0;
	BCF         RA0_bit+0, 0 
;ps2.c,76 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 0
	BRA         L_main7
	DECFSZ      R12, 1, 0
	BRA         L_main7
	DECFSZ      R11, 1, 0
	BRA         L_main7
	NOP
;ps2.c,77 :: 		RA0_bit = 1;
	BSF         RA0_bit+0, 0 
;ps2.c,78 :: 		Delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_main8:
	DECFSZ      R13, 1, 0
	BRA         L_main8
	DECFSZ      R12, 1, 0
	BRA         L_main8
	DECFSZ      R11, 1, 0
	BRA         L_main8
	NOP
	NOP
;ps2.c,79 :: 		RA0_bit = 0;
	BCF         RA0_bit+0, 0 
;ps2.c,80 :: 		Delay_ms(200);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_main9:
	DECFSZ      R13, 1, 0
	BRA         L_main9
	DECFSZ      R12, 1, 0
	BRA         L_main9
	DECFSZ      R11, 1, 0
	BRA         L_main9
	NOP
	NOP
;ps2.c,87 :: 		do
L_main10:
;ps2.c,89 :: 		psxATT = 0;                        // 'psxAtt low, Activates Controller
	BCF         RB0_bit+0, 0 
;ps2.c,90 :: 		Delay_us(50);
	MOVLW       83
	MOVWF       R13, 0
L_main12:
	DECFSZ      R13, 1, 0
	BRA         L_main12
;ps2.c,92 :: 		psxOut = 0x01;                     // 'Start Signal
	MOVLW       1
	MOVWF       _psxOut+0 
;ps2.c,93 :: 		psxTxRx(psxOut,psxIn);
	MOVLW       1
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,95 :: 		psxOut = 0x42;                     // 'Request Status
	MOVLW       66
	MOVWF       _psxOut+0 
;ps2.c,96 :: 		psxTxRx(psxOut,psxIn);
	MOVLW       66
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,97 :: 		psxID = psxIn;                     // 'Simultaneously receive controller ID
	MOVF        _psxIn+0, 0 
	MOVWF       _psxID+0 
;ps2.c,99 :: 		psxOut = 0;                        // 'Clear psxOut
	CLRF        _psxOut+0 
;ps2.c,100 :: 		psxTxRx(psxOut,psxIn);             // 'Get psxStatus
	CLRF        FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,101 :: 		psxStatus = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxStatus+0 
;ps2.c,103 :: 		psxTxRx(psxOut,psxIn);             // 'Get Left side buttons
	MOVF        _psxOut+0, 0 
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,104 :: 		psxLeftB = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxLeftB+0 
;ps2.c,106 :: 		psxTxRx(psxOut,psxIn);             // 'Get Right side buttons
	MOVF        _psxOut+0, 0 
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,107 :: 		psxRightB = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxRightB+0 
;ps2.c,109 :: 		psxTxRx(psxOut,psxIn);             // 'Get Right joystick X-axis byte
	MOVF        _psxOut+0, 0 
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,110 :: 		psxRJoyX = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxRJoyX+0 
;ps2.c,112 :: 		psxTxRx(psxOut,psxIn);             // 'Get Right joystick Y-axis byte
	MOVF        _psxOut+0, 0 
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,113 :: 		psxRJoyY = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxRJoyY+0 
;ps2.c,115 :: 		psxTxRx(psxOut,psxIn);             // 'Get Left joystick X-axis byte
	MOVF        _psxOut+0, 0 
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,116 :: 		psxLJoyX = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxLJoyX+0 
;ps2.c,118 :: 		psxTxRx(psxOut,psxIn);             // 'Get Left joystick Y-axis byte
	MOVF        _psxOut+0, 0 
	MOVWF       FARG_psxTxRx_byteOut+0 
	MOVF        _psxIn+0, 0 
	MOVWF       FARG_psxTxRx_byteIn+0 
	CALL        _psxTxRx+0, 0
;ps2.c,119 :: 		psxLJoyY = psxIn;
	MOVF        _psxIn+0, 0 
	MOVWF       _psxLJoyY+0 
;ps2.c,121 :: 		Delay_us(50);
	MOVLW       83
	MOVWF       R13, 0
L_main13:
	DECFSZ      R13, 1, 0
	BRA         L_main13
;ps2.c,122 :: 		psxATT = 1;                        // 'Release controller by setting psxATT high
	BSF         RB0_bit+0, 0 
;ps2.c,124 :: 		RA0_bit = psxRightB & 0x02;        // 'RA0 equals status of "X" Button
	MOVLW       2
	ANDWF       _psxRightB+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__main27
	BCF         RA0_bit+0, 0 
	GOTO        L__main28
L__main27:
	BSF         RA0_bit+0, 0 
L__main28:
;ps2.c,125 :: 		RA1_bit = psxRightB & 0x04;        // 'RA1 equals status of "O" Button
	MOVLW       4
	ANDWF       _psxRightB+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__main29
	BCF         RA1_bit+0, 1 
	GOTO        L__main30
L__main29:
	BSF         RA1_bit+0, 1 
L__main30:
;ps2.c,126 :: 		Delay_ms(10);
	MOVLW       65
	MOVWF       R12, 0
	MOVLW       238
	MOVWF       R13, 0
L_main14:
	DECFSZ      R13, 1, 0
	BRA         L_main14
	DECFSZ      R12, 1, 0
	BRA         L_main14
	NOP
;ps2.c,127 :: 		Lcd_Out(1, 1, "psxID   = ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,128 :: 		Lcd_Chr_CP(psxID+48);
	MOVLW       48
	ADDWF       _psxID+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,129 :: 		Delay_ms(1000);
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L_main15:
	DECFSZ      R13, 1, 0
	BRA         L_main15
	DECFSZ      R12, 1, 0
	BRA         L_main15
	DECFSZ      R11, 1, 0
	BRA         L_main15
	NOP
;ps2.c,130 :: 		Lcd_Out(1, 1, "psxStat = ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,131 :: 		Lcd_Chr_CP(psxStatus+48);
	MOVLW       48
	ADDWF       _psxStatus+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,132 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main16:
	DECFSZ      R13, 1, 0
	BRA         L_main16
	DECFSZ      R12, 1, 0
	BRA         L_main16
	DECFSZ      R11, 1, 0
	BRA         L_main16
	NOP
;ps2.c,133 :: 		Lcd_Out(1, 1, "psxLB   = ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,134 :: 		Lcd_Chr_CP(psxLeftB+48);
	MOVLW       48
	ADDWF       _psxLeftB+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,135 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main17:
	DECFSZ      R13, 1, 0
	BRA         L_main17
	DECFSZ      R12, 1, 0
	BRA         L_main17
	DECFSZ      R11, 1, 0
	BRA         L_main17
	NOP
;ps2.c,136 :: 		Lcd_Out(1, 1, "psxRB   = ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr4_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr4_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,137 :: 		Lcd_Chr_CP(psxRightB+48);
	MOVLW       48
	ADDWF       _psxRightB+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,138 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main18:
	DECFSZ      R13, 1, 0
	BRA         L_main18
	DECFSZ      R12, 1, 0
	BRA         L_main18
	DECFSZ      R11, 1, 0
	BRA         L_main18
	NOP
;ps2.c,139 :: 		Lcd_Out(1, 1, "psxRJoyX= ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr5_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr5_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,140 :: 		Lcd_Chr_CP(psxRJoyX+48);
	MOVLW       48
	ADDWF       _psxRJoyX+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,141 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main19:
	DECFSZ      R13, 1, 0
	BRA         L_main19
	DECFSZ      R12, 1, 0
	BRA         L_main19
	DECFSZ      R11, 1, 0
	BRA         L_main19
	NOP
;ps2.c,142 :: 		Lcd_Out(1, 1, "psxRJoyY= ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr6_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr6_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,143 :: 		Lcd_Chr_CP(psxRJoyY+48);
	MOVLW       48
	ADDWF       _psxRJoyY+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,144 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main20:
	DECFSZ      R13, 1, 0
	BRA         L_main20
	DECFSZ      R12, 1, 0
	BRA         L_main20
	DECFSZ      R11, 1, 0
	BRA         L_main20
	NOP
;ps2.c,145 :: 		Lcd_Out(1, 1, "psxLJoyX= ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr7_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr7_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,146 :: 		Lcd_Chr_CP(psxLJoyX+48);
	MOVLW       48
	ADDWF       _psxLJoyX+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,147 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main21:
	DECFSZ      R13, 1, 0
	BRA         L_main21
	DECFSZ      R12, 1, 0
	BRA         L_main21
	DECFSZ      R11, 1, 0
	BRA         L_main21
	NOP
;ps2.c,148 :: 		Lcd_Out(1, 1, "psxLJoyY= ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr8_ps2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr8_ps2+0
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;ps2.c,149 :: 		Lcd_Chr_CP(psxLJoyY+48);
	MOVLW       48
	ADDWF       _psxLJoyY+0, 0 
	MOVWF       FARG_Lcd_Chr_CP_out_char+0 
	CALL        _Lcd_Chr_CP+0, 0
;ps2.c,150 :: 		Delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main22:
	DECFSZ      R13, 1, 0
	BRA         L_main22
	DECFSZ      R12, 1, 0
	BRA         L_main22
	DECFSZ      R11, 1, 0
	BRA         L_main22
	NOP
;ps2.c,152 :: 		while(1);//loop until false                 'Loop Forever
	GOTO        L_main10
;ps2.c,155 :: 		}
	GOTO        $+0
; end of _main
