#line 1 "E:/My Projects/PS2/ps2.c"
sbit LCD_RS at RD0_bit;
sbit LCD_EN at RD2_bit;
sbit LCD_D7 at RB7_bit;
sbit LCD_D6 at RB6_bit;
sbit LCD_D5 at RB5_bit;
sbit LCD_D4 at RB4_bit;

sbit LCD_RS_Direction at TRISD0_bit;
sbit LCD_EN_Direction at TRISD2_bit;
sbit LCD_D7_Direction at TRISB7_bit;
sbit LCD_D6_Direction at TRISB6_bit;
sbit LCD_D5_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB4_bit;









sbit psxCLK at RB3_bit;
sbit psxCMD at RB2_bit;
sbit psxDAT at RB1_bit;
sbit psxATT at RB0_bit;


unsigned char psxOut, psxIn, psxID,i,psxStatus,psxLeftB,psxRightB,psxRJoyX,psxRJoyY,psxLJoyX,psxLJoyY;






void psxTxRx(unsigned char byteOut, unsigned char byteIn)
{
 byteIn = 0;
 for(i = 0; i<7; i++)
 {
 psxCMD = byteOut & 0x01;
 byteOut >>=1;
 psxCLK = 0;
 delay_us(25);
 if(psxDAT == 0)
 {
 byteIn = byteIn | (0x01<<i);

 }
 psxCLK = 1;
 Delay_us(25);
 }
}





void main()
{
 OSCCON = 0b01111110;


 TRISA = 0;
 TRISD = 0;

 PORTA = 0;
 PORTD = 0x00;
 TRISB = 0b00000010;
 PORTB = 0b00001001;

 Lcd_Init();
 RA0_bit = 1;
 Delay_ms(500);
 RA0_bit = 0;
 Delay_ms(500);
 RA0_bit = 1;
 Delay_ms(200);
 RA0_bit = 0;
 Delay_ms(200);






 do
 {
 psxATT = 0;
 Delay_us(50);

 psxOut = 0x01;
 psxTxRx(psxOut,psxIn);

 psxOut = 0x42;
 psxTxRx(psxOut,psxIn);
 psxID = psxIn;

 psxOut = 0;
 psxTxRx(psxOut,psxIn);
 psxStatus = psxIn;

 psxTxRx(psxOut,psxIn);
 psxLeftB = psxIn;

 psxTxRx(psxOut,psxIn);
 psxRightB = psxIn;

 psxTxRx(psxOut,psxIn);
 psxRJoyX = psxIn;

 psxTxRx(psxOut,psxIn);
 psxRJoyY = psxIn;

 psxTxRx(psxOut,psxIn);
 psxLJoyX = psxIn;

 psxTxRx(psxOut,psxIn);
 psxLJoyY = psxIn;

 Delay_us(50);
 psxATT = 1;

 RA0_bit = psxRightB & 0x02;
 RA1_bit = psxRightB & 0x04;
 Delay_ms(10);
 Lcd_Out(1, 1, "psxID   = ");
 Lcd_Chr_CP(psxID+48);
 Delay_ms(1000);
 Lcd_Out(1, 1, "psxStat = ");
 Lcd_Chr_CP(psxStatus+48);
 Delay_ms(500);
 Lcd_Out(1, 1, "psxLB   = ");
 Lcd_Chr_CP(psxLeftB+48);
 Delay_ms(500);
 Lcd_Out(1, 1, "psxRB   = ");
 Lcd_Chr_CP(psxRightB+48);
 Delay_ms(500);
 Lcd_Out(1, 1, "psxRJoyX= ");
 Lcd_Chr_CP(psxRJoyX+48);
 Delay_ms(500);
 Lcd_Out(1, 1, "psxRJoyY= ");
 Lcd_Chr_CP(psxRJoyY+48);
 Delay_ms(500);
 Lcd_Out(1, 1, "psxLJoyX= ");
 Lcd_Chr_CP(psxLJoyX+48);
 Delay_ms(500);
 Lcd_Out(1, 1, "psxLJoyY= ");
 Lcd_Chr_CP(psxLJoyY+48);
 Delay_ms(500);
 }
 while(1);


}
